Bug 8289 - Upgrading from 2.2 does not work anymore
Summary: Upgrading from 2.2 does not work anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low critical (vote)
Target Milestone: Oldversions
Assignee: Paul Poulain
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 09:08 UTC by Paul Poulain
Modified: 2018-12-16 19:34 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8289 Upgrading from 2.2 does not work anymore (1.17 KB, patch)
2012-06-22 09:10 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8289 Upgrading from 2.2 does not work anymore (1.22 KB, patch)
2012-06-24 07:05 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-06-22 09:08:51 UTC
The updatedatabase22to30.pl script update the engine from MyISAM to InnoDB for most tables.

However, the TYPE=InnoDB was deprecated, and is not removed.
The correct syntax is now ENGINE=InnoDB
Comment 1 Paul Poulain 2012-06-22 09:10:39 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-06-24 07:05:50 UTC
Created attachment 10446 [details] [review]
Bug 8289 Upgrading from 2.2 does not work anymore

The updatedatabase22to30.pl script update the engine from MyISAM to InnoDB for most tables.

However, the TYPE=InnoDB was deprecated, and is not removed.
The correct syntax is now ENGINE=InnoDB

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 3 Marcel de Rooy 2012-06-25 06:36:08 UTC
Passed QA
Comment 4 Chris Cormack 2012-06-25 21:35:13 UTC
Simple but useful change, pushing to 3.8.x will be in 3.8.3